﻿@using LAP.Areas.Adviser.Models
@model LAP.Areas.Adviser.Models.RiskArcSurveyModel
@{
    int cnt = 0;
    Layout = null;
    var businessLogoImage = Model.BusinessLogoImage;
    var localDate = Model.LocalDateTime.ToString("MMM dd, yyyy");
    var bitData = Model.BitData;
    var bits = bitData.Where(m => m.Active).Select(m => m.BitType);
}
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8" />
    <title>@System.IO.Path.GetFileNameWithoutExtension(Model.FileName)</title>
    <link href="https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap" rel="stylesheet">
    <link href="https://fonts.googleapis.com/css2?family=Roboto+Condensed:wght@300&display=swap" rel="stylesheet">
    <link href="https://fonts.googleapis.com/css2?family=Lato:ital,wght@0,100;0,300;0,400;0,700;0,900;1,100;1,300;1,400;1,700;1,900&display=swap" rel="stylesheet">
    <link href="~/css/report-style.css" rel="stylesheet" />
</head>
<body style="font-family: 'Poppins', sans-serif !important;font-size:16px;">
    <div id="page1" style="height:1290px">
        <div style="margin-bottom:30px;text-align:right;padding-left:50px;padding-right:50px;height:100px">
            @if (!string.IsNullOrEmpty(businessLogoImage))
            {
                <img src="@businessLogoImage" height="100" />
            }
        </div>
        <div id="cover-page" style="position:relative" class="d-flex align-items-center justify-content-center">
            <img src="~/images/RiskArc_Cover.jpg" width="1050" />
            <div id="cover-page-title">My RiskArc Survey</div>
        </div>
        <div class="font-18" style="padding-left:50px;padding-right:50px;margin-top:20px">
            <div class="d-flex">
                <div>
                    <h2 style="margin: 0;">
                        <span class="text-riskarc-navi">Name:</span>
                        <span class="font-size-h6" style="font-weight:400">@Model.FirstName @Model.LastName</span>
                    </h2>
                </div>
                <div style="text-align:right">
                    <h2 style="margin: 0">
                        <span class="text-riskarc-navi">Date:</span>
                        <span class="font-size-h6" style="font-weight:400">@localDate</span>
                    </h2>
                </div>
            </div>
            <h2 style="margin: 0">
                <span class="text-riskarc-navi">Risk Capacity:</span>
                <span class="font-size-h6 @(Model.RiskCapacity < 20 ? "text-na" : "")" style="font-weight:400">@Model.RiskCapacity</span>
            </h2>
            <h2 style="margin: 0">
                <span class="text-riskarc-navi">Risk Profile:</span>
                <span class="font-size-h6 @(Model.RiskCapacity < 20 ? "text-na" : "")" style="font-weight:400">@Model.RiskProfile</span>
            </h2>
            @if (Model.RiskArcVersion)
            {
                <h2 style="margin: 0">
                    <span class="text-riskarc-navi">Behavioral Investor Type(s):</span>
                    <span class="font-size-h6 @(bits.Count() == 0 ? "text-na" : "")" style="font-weight:400">@(bits.Count() > 0 ? string.Join(" | ", bits) : "N/A")</span>
                </h2>
            }
            <div style="height:170px;margin-top:20px;font-weight:400;font-size:20px;" class="text-navi">
                @*@if (!string.IsNullOrEmpty(tagline))
                {
                <i>@tagline</i>
                }*@
            </div>
            <div style="margin-top:20px;">
                @if (!string.IsNullOrEmpty(Model.RIADisclosure))
                {
                    <p class="disclosure">
                        @Model.RIADisclosure
                    </p>
                }
            </div>
            <div class="d-flex footer" style="margin-top:20px;">
                <div style="width:550px;border-right:solid 1px #000000;padding-right:20px;">
                    <p class="text">
                        This ExplicitVue™ Balance Sheet report is compiled from information you have furnished in the LifeArcPlan™ survey. We make no representations or warranties as to the accuracy, timeliness, suitability, completeness, or relevance of such information. LifeArcPlan™, provider of this ExplicitVue™ Balance Sheet report, cannot be held liable for any errors or omissions. This ExplicitVue™ Balance Sheet report is provided for educational purposes only and you should be guided accordingly.
                    </p>
                </div>
                <div style="width:100px;margin-left:30px">
                    <span class="text-navi" style="font-size:18px"><i>Powered by</i></span>
                    <img src="~/images/report/LAP-logo-cover.png" height="35" style="vertical-align: sub;">
                </div>
            </div>
        </div>
    </div>
    <div style="padding-left:50px;padding-right:50px">
        <div style="background:#fff;padding-bottom:10px;">
            <h3 style="margin-bottom:5px">
                @Model.FirstName, help us understand your investment risk tolerance
            </h3>
            <hr style="border-top: 1px solid #23588d;" />
            <div>
                @foreach (var item in Model.RiskArcQuestions)
                {
                    <div style="margin-bottom:5px;font-size:14px">
                        <div class="font-weight-bold">
                            @(cnt + 1). @item.Question
                        </div>
                        <div class="form-group mb-0">
                            @if (item.SectionId == 15)
                            {
                                <div class="d-flex">
                                    <div class="col-4 p-0">
                                        <img src="~/images/Graph1.jpg" class="img-fluid" />
                                    </div>
                                    <div class="col-4 p-0">
                                        <img src="~/images/Graph2.jpg" class="img-fluid" />
                                    </div>
                                    <div class="col-4 p-0">
                                        <img src="~/images/Chart.jpg" class="img-fluid" />
                                    </div>
                                </div>
                            }
                            @if (item.Options != null)
                            {
                                int cnt2 = 1;
                                <div class="radio-list">
                                    @foreach (string option in item.Options)
                                    {
                                        <div>
                                            <input type="radio" value="@cnt2" name="[@cnt].Answer" @(item.Answer == cnt2 ? "checked" : "") class="required" id="radio-@cnt2">
                                            <label>@option</label>
                                        </div>
                                        cnt2++;
                                    }
                                </div>
                            }
                        </div>
                        @if (cnt == 6 || cnt == 12 || cnt == 19 || cnt == 26)
                        {
                            <div class="new-page"></div>
                        }
                    </div>
                    cnt++;
                }
            </div>
            <hr />
        </div>
    </div>
</body>
</html>